function formateaMoneda(valor) {
    try {
        return new Intl.NumberFormat('es-ES', { style: 'currency', currency: 'EUR' }).format(valor);
    } catch {
        return valor;
    }
}
export { formateaMoneda };

function formateaMoneda4Decimales(valor) {
    try {
        return new Intl.NumberFormat('es-ES', { style: 'currency', currency: 'EUR', minimumFractionDigits: 4 }).format(valor);
    } catch {
        return valor;
    }
}
export { formateaMoneda4Decimales };

function formateaMoneda6Decimales(valor) {
    try {
        return new Intl.NumberFormat('es-ES', { style: 'currency', currency: 'EUR', minimumFractionDigits: 6 }).format(valor);
    } catch {
        return valor;
    }
}
export { formateaMoneda6Decimales };